%define _disable_ld_no_undefined 1

%define major 1

%define libname %mklibname handle %{major}
%define devname %mklibname handle -d
%define sdevname %mklibname handle -d -s

Summary:	Utilities for managing the XFS filesystem
Name:		xfsprogs
Version:	4.5.0
Release:	1
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://oss.sgi.com/projects/xfs/
Source0:	ftp://oss.sgi.com/projects/xfs/cmd_tars/%{name}-%{version}.tar.gz
Patch1:		xfsprogs-4.3.0-linkage.patch
BuildRequires:	libtool
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(uuid)
Requires:	common-licenses
Conflicts:	xfsdump < 3.0.0

%description
A set of commands to use the XFS filesystem, including mkfs.xfs.

XFS is a high performance journaling filesystem which originated
on the SGI IRIX platform.  It is completely multi-threaded, can
support large files and large filesystems, extended attributes,
variable block sizes, is extent based, and makes extensive use of
Btrees (directories, extents, free space) to aid both performance
and scalability.

Refer to the documentation at http://oss.sgi.com/projects/xfs/
for complete details. This implementation is on-disk compatible
with the IRIX version of XFS.

%files -f %{name}.lang
%doc doc/CHANGES.gz doc/CREDITS README
/sbin/xfs_admin
/sbin/xfs_bmap
/sbin/xfs_copy
/sbin/xfs_db
/sbin/xfs_freeze
/sbin/xfs_growfs
/sbin/xfs_info
/sbin/xfs_io
/sbin/xfs_logprint
/sbin/xfs_mkfile
/sbin/xfs_ncheck
/sbin/xfs_quota
/sbin/xfs_rtcp
/sbin/xfs_mdrestore
/sbin/xfs_metadump
/sbin/xfs_estimate
/sbin/xfs_fsr
/sbin/fsck.xfs
/sbin/mkfs.xfs
/sbin/xfs_repair
%{_mandir}/man[85]/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for xfsprogs
License:	LGPLv2.1+
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with libhandle.

%files -n %{libname}
%doc README
/%{_lib}/libhandle.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	XFS filesystem-specific libraries and headers
Group:		Development/C
License:	LGPLv2.1+
Requires:	%{libname} = %{EVRD}
# For uuid/uuid.h included in /usr/include/xfs/linux.h
Requires:	pkgconfig(uuid)
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
%{devname} contains the libraries and header files needed to
develop XFS filesystem-specific programs.

You should install %{devname} if you want to develop XFS
filesystem-specific programs, If you install %{devname}, you'll
also want to install xfsprogs.

%files -n %{devname}
%doc README
/%{_lib}/libhandle.so
%{_includedir}/xfs
%{_mandir}/man3/*

#----------------------------------------------------------------------------

%package -n %{sdevname}
Summary:	XFS filesystem-specific static libraries
Group:		Development/C
License:	LGPLv2.1+
Requires:	%{devname} = %{EVRD}
Provides:	%{name}-static-devel = %{EVRD}

%description -n %{sdevname}
%{devname} contains the static libraries needed to
develop XFS filesystem-specific programs.

You should install %{sdevname} if you want to develop XFS
filesystem-specific programs, If you install %{sdevname}, you'll
also want to install xfsprogs.

%files -n %{sdevname}
/%{_lib}/libhandle.a

#----------------------------------------------------------------------------

%prep
%setup -q
%patch1 -p1 -b .underlinking

%build
export DEBUG="-DNDEBUG"
export OPTIMIZER="%{optflags}"

%configure2_5x \
	--libdir=/%{_lib} \
	--libexecdir=%{_libdir} \
	--sbindir=/sbin \
	--bindir=/usr/sbin \
	--enable-gettext=yes \
	--enable-editline=no \
	--enable-shared=yes

make DEBUG=-DNDEBUG OPTIMIZER="%{optflags}"

%install
make install DIST_ROOT=%{buildroot}/
make install-dev DIST_ROOT=%{buildroot}/

chmod +x %{buildroot}/%{_lib}/libhandle.so.%{major}*

# nuke files already packaged as %doc
rm -r %{buildroot}%{_datadir}/doc/xfsprogs/
%find_lang %{name}


%changelog

* Tue Jul 12 2016 abondrov <andrey.bondrov@rosalab.ru> 4.5.0-1
- (2dd6dac) Merge pull request #2 from tremod/xfsprogs:rosa2014.1
- (2dd6dac) Update to 4.5.0


